<app-header-logged pageOrigine="/mesobjetsassures">
    <ion-back-button text="" defaultHref="/mesassurances"></ion-back-button>
</app-header-logged>

<ion-content scroll-y="true" scrollbar="true">

    <app-refresher></app-refresher>
    <!-- <ion-slides [options]="slideOptsOne" #slideWithNav pager="true">
        <ion-slide *ngFor="let i of nbEssaisBranches"> -->
    <div style="width:98%" class="containerContrat">

        <div class="inputs">
            <div class="inputBlock">
                <ion-searchbar mode="ios" (ionChange)="onSearchObjet()" [(ngModel)]="valCherche" placeholder="{{'search' | translate}}"></ion-searchbar>
            </div>
            <div class="inputBlock selectInput">

                <div class="itemInput">
                    <ion-select (ionChange)="onSearchObjet()" [(ngModel)]="critereFiltre" placeholder="{{'Filtre' | translate}}" [value]=filtreByIm>
                        <ion-select-option [value]=filtreByIm><small translate>immatriculation</small>
                        </ion-select-option>

                        <ion-select-option [value]=filtreByfin translate>EndDate</ion-select-option>

                    </ion-select>
                </div>
            </div>
        </div>

        <!--  <ion-slide *ngIf="objetsAuto !=null && objetsAuto.length !=0"> -->
        <!-- new template -->
        <div class="mesAction">
            <p class="mesHeading" translate>AUTOMOBILE</p>
            <ion-grid no-padding *ngIf="objetsAuto && objetsAuto.length > 0; else noObjets">
                <ion-row no-margin>

                    <ion-col text-center>
                        <p class="colonneListe"> <small translate>immatriculation</small></p>
                    </ion-col>
                    <ion-col text-center>
                        <p class="colonneListe"> <small translate>marque</small></p>
                    </ion-col>
                    <ion-col text-center>
                        <p class="colonneListe"> <small translate>modele</small></p>
                    </ion-col>
                    <ion-col text-center>
                        <p class="colonneListe"> <small translate>EndDateVisiteTech</small></p>
                    </ion-col>

                    <!-- <ion-col text-center>
                                <p class="colonneListe"> <small translate>statut</small> </p>
                            </ion-col> -->

                </ion-row>

                <!-- [ngClass]="[diffdate(objet.dateVisiteTech,date,'jour')<=15 && diffdate(objet.dateVisiteTech,date,'jour')>0?'controleWarning':'',diffdate(objet.dateVisiteTech,date,'jour')<=0?'controleExpire':'']" -->
                <ion-row no-margin class="rowItem animate__animated animate__backInUp" (click)="voirObjetBabs(objet)" *ngFor="let objet of objetsAuto | paginate: { itemsPerPage: 5, currentPage: p};let i=index">
                    <ion-col text-center>
                        <p class="colonneListeItem">{{objet.intitule}}</p>
                    </ion-col>

                    <ion-col text-center *ngFor="let item of objet.TabAtrributs">
                        <p class="colonneListeItem">{{item.attribut.code!='dateVisiteTech'?item.valeur:utilsService.displayDate(item.valeur)}}</p>

                    </ion-col>
                    <!-- <ion-col text-center>
                                    <p class="colonneListe">{{objet.appellationComm}}</p>
                                </ion-col>
                                <ion-col text-center>
                                    <p class="colonneListe">{{utilsService.displayDate(objet.dateVisiteTech)}}

                                        <span *ngIf="diffdate(objet.dateVisiteTech,date,'jour')<=15 && diffdate(objet.dateVisiteTech,date,'jour')>0">

                                            <ion-icon name="time"></ion-icon><small translate>expireIn</small>
                                            {{diffdate(objet.dateVisiteTech,date,'jour')}}
                                            <small translate>jours</small>
                                        </span>

                                        <span *ngIf="diffdate(objet.dateVisiteTech,date,'jour')==0">

                                            <ion-icon name="time"></ion-icon>
                                            <small translate>expireToday</small>
                                        </span>
                                        <span *ngIf="diffdate(objet.dateVisiteTech,date,'jour')<0">
                                        <small translate>AExpire</small>
                                        </span>
                                    </p>
                                </ion-col> -->
                    <!-- <ion-col text-center>
                                <p class="colonneListe" *ngIf="objet.statut==4">valide contrat en cours</p>
                                <p class="colonneListe" *ngIf="objet.statut==3"> valide hors contrat</p>
                                <p class="colonneListe" *ngIf="objet.statut==2">validation en cours</p>
                                <p class="colonneListe" *ngIf="objet.statut==1">validation ko </p>
                            </ion-col> -->

                    <!-- <ion-col text-left size="0.4">
                                <p class="colonneListe statusLight " [ngClass]="[(objet.statut== 3 || objet.statut== 4) ?'statusRas':'',objet.statut==2?'statusAlerte':'',objet.statut== 1?'statusDepasse':'']">
                                </p>
                            </ion-col> -->
                </ion-row>
                <div>
                    <pagination-controls (pageChange)="p = $event" directionLinks="true" autoHide="true" responsive="true" previousLabel="Précédent" nextLabel="Suivant" screenReaderPaginationLabel="Pagination" screenReaderPageLabel="page">

                    </pagination-controls>
                </div>
            </ion-grid>
            <ng-template #noObjets>

                <p text-center class="noObjets">Aucun automobile ne correspond à votre sélection</p>

            </ng-template>


        </div>

        <ion-button class="newContrat " (click)="creerAutomobile()" size="small" shape="round">
            <ion-text>Nouveau Vehicule</ion-text>
        </ion-button>
        <!-- <ion-grid style="margin-top : 0px ;">
            <ion-row>
                   <ion-col text-left>
                          <ion-button class="boutonSwipe" (click)="swipeBack()"><ion-icon  name ="arrow-back"></ion-icon>PRECEDENT </ion-button>
                   </ion-col>

                   <ion-col text-right>
                          <ion-button class="boutonSwipe" (click)="swipeNext()">SUIVANT <ion-icon name ="arrow-forward"></ion-icon></ion-button>
                   </ion-col>
            </ion-row>
     </ion-grid> -->
    </div>

    <!-- </ion-slide>
    </ion-slides> -->
    <div class="containerContrat" *ngIf='this.objetsSante.length>0'>

        <div class="inputs">
            <div class="inputBlock">
                <ion-searchbar mode="ios" (ionChange)="onSearchObjet()" [(ngModel)]="valCherche" placeholder="rechercher"></ion-searchbar>
            </div>
            <div class="inputBlock selectInput">

                <div class="itemInput">
                    <ion-select (ionChange)="onSearchObjet()" [(ngModel)]="critereFiltre" placeholder="trier par " [value]=filtreByIm>
                        <ion-select-option [value]=filtreByIm><small>immatriculation</small></ion-select-option>

                        <ion-select-option [value]=filtreByfin> date fin</ion-select-option>

                    </ion-select>
                </div>
            </div>
        </div>

        <!--  <ion-slide *ngIf="objetsAuto !=null && objetsAuto.length !=0"> -->
        <!-- new template -->
        <div class="mesAction">
            <p class="mesHeading">SANTE</p>
            <ion-grid no-padding *ngIf="objetsAuto && objetsAuto.length > 0; else noObjets">
                <ion-row no-margin>

                    <ion-col text-center>
                        <p class="colonneListe"> <small>immatriculation</small></p>
                    </ion-col>
                    <ion-col text-center>
                        <p class="colonneListe"> <small>marque</small></p>
                    </ion-col>
                    <ion-col text-center>
                        <p class="colonneListe"> <small>modele</small></p>
                    </ion-col>
                    <ion-col text-center>
                        <p class="colonneListe"> <small>date fin visite technique </small></p>
                    </ion-col>

                    <ion-col text-center>
                        <p class="colonneListe"> <small> Statut</small> </p>
                    </ion-col>
                    <ion-col size="0.4" text-right>
                        <!-- <p class ="colonneListe"> <small>Statuts </small>  </p> -->
                    </ion-col>
                </ion-row>


                <!-- <ion-row no-margin class="rowItem" (click)="voirObjet(objet)" *ngFor="let objet of objetsAuto" [ngClass]="[diffdate(objet.controleTechnique.dateValidite,date,'jour')<=15 && diffdate(objet.controleTechnique.dateValidite,date,'jour')>0?'controleWarning':'',diffdate(objet.controleTechnique.dateValidite,date,'jour')<=0?'controleExpire':'']">
                    <ion-col text-center>
                        <p class="colonneListe">{{objet.matricule}}</p>
                    </ion-col>
                    <ion-col text-center>
                        <p class="colonneListe">{{objet.marque}}</p>

                    </ion-col>
                    <ion-col text-center>
                        <p class="colonneListe">{{objet.modele}}</p>
                    </ion-col>
                    <ion-col text-center>
                        <p class="colonneListe">{{utilsService.displayDate(objet.controleTechnique.dateValidite)}}

                            <span *ngIf="diffdate(objet.controleTechnique.dateValidite,date,'jour')<=15 && diffdate(objet.controleTechnique.dateValidite,date,'jour')>0">

                                <ion-icon name="time"></ion-icon> expire dans
                                {{diffdate(objet.controleTechnique.dateValidite,date,'jour')}} jours

                            </span>

                            <span *ngIf="diffdate(objet.controleTechnique.dateValidite,date,'jour')==0">

                                <ion-icon name="time"></ion-icon> expire Aujourd'hui

                            </span>
                            <span *ngIf="diffdate(objet.controleTechnique.dateValidite,date,'jour')<0">

                                a expiré

                            </span>
                        </p>
                    </ion-col>
                    <ion-col text-center>
                        <p class="colonneListe" *ngIf="objet.statut==4 ">valide contrat en cours</p>
                        <p class="colonneListe" *ngIf="objet.statut==3"> valide hors contrat</p>
                        <p class="colonneListe" *ngIf="objet.statut==2">validation en cours</p>
                        <p class="colonneListe" *ngIf="objet.statut==1">validation ko </p>
                    </ion-col>

                    <ion-col text-left size="0.4">
                        <p class="colonneListe statusLight " [ngClass]="[(objet.statut== 3 || objet.statut== 4) ?'statusRas':'',objet.statut==2?'statusAlerte':'',objet.statut== 1?'statusDepasse':'']">
                        </p>
                    </ion-col>
                </ion-row> -->
            </ion-grid>
            <ng-template #noObjets>

                <p text-center class="noObjets">Aucun objets sante ne correspond à votre sélection</p>

            </ng-template>


        </div>

        <ion-button class="newContrat " (click)="creerAutomobile()" size="small" shape="round">
            <ion-text>Nouveau objet</ion-text>
        </ion-button>

    </div>

</ion-content>
<ion-footer>
    <app-custom-tab-bar></app-custom-tab-bar>
</ion-footer>
